#include <bits/stdc++.h>
using namespace std;
string t,s,t1;
int a1[105];
int br=0;
int naj=100000;
int x=1;
string slovo;
int main(){
    cin>>t>>s;

    for(int i=0;i<s.size();i++){
        br=0;
        for(int j=0;j<t.size();j++){
            if(s[i]==t[j])
                br++;}
        if(br<naj){
            swap(br,naj);
            slovo=s[i]; }
                }
        cout<<naj<<endl;
    for(int i=0;i<t.size();i++){
        if(t[i]==slovo[0])cout<<"*";
        else cout<<t[i];}



return 0;
}